Botan 1.10.17

Public Member Functions | List of all members
Botan::PK_Decryptor Class Referenceabstract

`#include <pubkey.h>`

Inheritance diagram for Botan::PK_Decryptor:

## Public Member Functions
SecureVector< byte > | decrypt (const byte in[], size_t length) const
SecureVector< byte > | decrypt (const MemoryRegion< byte > &in) const
| PK_Decryptor ()
virtual | ~PK_Decryptor ()

## Detailed Description

Public Key Decryptor

Definition at line 85 of file pubkey.h.

## Constructor & Destructor Documentation

## ◆ PK_Decryptor()

Botan::PK_Decryptor::PK_Decryptor | ( |  | ) |
| inline

Definition at line 109 of file pubkey.h.

109 {}

## ◆ ~PK_Decryptor()

virtual Botan::PK_Decryptor::~PK_Decryptor | ( |  | ) |
| inline virtual

Definition at line 110 of file pubkey.h.

110 {}

## Member Function Documentation

## ◆ decrypt() [1/2]

SecureVector<byte> Botan::PK_Decryptor::decrypt | ( | const byte | in[],
|  | size_t | length
| ) |  | const
| inline

Decrypt a ciphertext.

Parameters

  in | the ciphertext as a byte array
  length | the length of the above byte array

Returns
  decrypted message

Definition at line 94 of file pubkey.h.

Referenced by Botan::PK_Decryptor_Filter::end_msg().

95 {
96 return dec(in, length);
97 }

## ◆ decrypt() [2/2]

SecureVector<byte> Botan::PK_Decryptor::decrypt | ( | const MemoryRegion< byte > & | in | ) | const
| inline

Decrypt a ciphertext.

Parameters

  in | the ciphertext

Returns
  decrypted message

Definition at line 104 of file pubkey.h.

References Botan::MemoryRegion< T >::size().

105 {
106 return dec(&in[0], in.size());
107 }
Botan::MemoryRegion::size
size_t size() const
Definition: secmem.h:29

The documentation for this class was generated from the following file:

- src/pubkey/pubkey.h